/*
 * ClipLibraryComboBoxModel.java
 * Copyright (c) 1999-2000 Andre Kaplan, Chris Laird
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */


import javax.swing.ComboBoxModel;


public class ClipLibraryComboBoxModel
    extends    ClipListModel
    implements ComboBoxModel
{
    private Object selectedItem;


    public ClipLibraryComboBoxModel() {
        super(ClipLibraryManager.getInstance());
        ClipLibrary cl = ClipLibraryManager.getInstance().getClipLibrary(0);
        if (cl == null) {
            selectedItem = "";
        } else {
            selectedItem = cl.getTitle();
        }
    }


    public void setSelectedItem(Object anItem) {
        selectedItem = anItem;
        //need to fire this event, otherwise the combobox will not generate
        //any change events
        fireContentsChanged(this, -1, -1);
    }


    public Object getSelectedItem() {
        return selectedItem;
    }
}

