/*
 * ClipListModel.java
 * Copyright (c) 1999-2000 Andre Kaplan, Chris Laird
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


import javax.swing.AbstractListModel;


/**
 * A list model for a clip library.
 */
public class ClipListModel extends AbstractListModel
{
    protected OrderedProperties orderedProps;


    public ClipListModel(OrderedProperties cliplib) {
        this.orderedProps = cliplib;
    }


    public int getSize() {
        if (orderedProps == null) {
            return 0;
        }
        return orderedProps.size();
    }


    public Object getElementAt(int i) {
        return orderedProps.getKey(i);
    }
}
